Name:           airsnort
Version:        0.2.7e
Release:        16%{?dist}
Summary:        Wireless LAN (WLAN) tool which recovers encryption keys

Group:          Applications/Communications
License:        GPLv2+
URL:            http://airsnort.shmoo.com/
Source0: http://dl.sourceforge.net/sourceforge/airsnort/airsnort-%{version}.tar.gz
Source1:        airsnort.desktop
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: libpcap-devel 
BuildRequires: gtk2-devel >= 2.2
BuildRequires: atk-devel
BuildRequires: glib2-devel
BuildRequires: desktop-file-utils

%description
AirSnort is a wireless LAN (WLAN) tool which recovers encryption keys. 
AirSnort operates by passively monitoring transmissions, computing the
encryption key when enough packets have been gathered.

802.11b, using the Wired Equivalent Protocol (WEP), is crippled with numerous
security flaws. Most damning of these is the weakness described in " Weaknesses
in the Key Scheduling Algorithm of RC4 " by Scott Fluhrer, Itsik Mantin and Adi
Shamir. Adam Stubblefield was the first to implement this attack, but he has
not made his software public. AirSnort, along with WEPCrack, which was released
about the same time as AirSnort, are the first publicly available
implementaions of this attack.

AirSnort requires approximately 5-10 million encrypted packets to be gathered.
Once enough packets have been gathered, AirSnort can guess the encryption
password in under a second. 

%prep
%setup -q

%build
%configure
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf $RPM_BUILD_ROOT
%makeinstall

desktop-file-install \
  --vendor=fedora \
  --dir=$RPM_BUILD_ROOT%{_datadir}/applications \
  --add-category=X-Fedora \
  %{SOURCE1}
		  
%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README README.decrypt TODO
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/applications/*

%changelog
* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.7e-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.7e-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.7e-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.2.7e-13
- Autorebuild for GCC 4.3

* Wed Aug 22 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.2.7e-12
- new license tag
- rebuild for buildid

* Mon Dec 04 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.2.7e-11
- bump

* Mon Sep 11 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.2.7e-10
- FE6 rebuild

* Thu Jun 29 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.2.7e-9
- fix BR #197102

* Tue Feb 14 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.2.7e-8
- Rebuild for Fedora Extras 5

* Wed Nov 16 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.2.7e-7
- remove xorg-x11-devel BR
- rebuild

* Sun Aug 21 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.2.7e-6
- rebuild

* Thu Aug 11 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.2.7e-5
- add dist tag

* Wed Aug 10 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.2.7e-4
- add BR desktop-file-utils
- fix .desktop file

* Thu Jun 02 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.2.7e-3
- revamp specfile

* Sun Feb 13 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.2.7e-2
- minor cleanups

* Tue Feb 08 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.2.7e-1
- upgrade to 0.2.7e

* Tue Nov 30 2004 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0:0.2.6-0.awjb.1
- upgrade to 0.2.6

* Tue Sep 16 2003 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0:0.2.2-0.fdr.4
- minor version upgrade (bugfix release)

* Mon Jul 28 2003 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0:0.2.2-0.fdr.3
- fixed minor stuff from #408 #7

* Tue Jun 24 2003 Andreas Bierfert (awjb) <andreas.bierfert[AT]awbsworld.de> 0:0.2.2-0.fdr.1
- Initial RPM release.
